import java.util.ArrayList;
import java.util.Scanner;
import java.util.TreeMap;

public class D_Krizhanovsky_er {

	public static void main(String[] args) {
		Krizhanovsky kr = new Krizhanovsky();
		kr.solve();
		kr.print();
	}

}

class Krizhanovsky {
	
	Krizhanovsky() {
		Scanner in = new Scanner(System.in);
		n = in.nextInt();
		nums = new ArrayList<>(n);
		for (int i = 0; i < n; i++) {
			nums.add(in.nextInt());
		}
		in.close();
	}
	
	void solve() {
		TreeMap<Integer, Integer> zhr = new TreeMap<>();
		
		for (int elem: nums) {
			if (!zhr.containsKey(elem)) {
				zhr.put(elem, 0);
			}
			zhr.put(elem, zhr.get(elem) + 1);
		}
		
		answer = -1;
		for (int k: zhr.keySet()) {
			if (zhr.get(k) == 1) {
				answer = k;
				break;
			}
		}
		
	}
	
	void print() {
		System.out.println(answer);
	}
	
	int answer;
	
	int n;
	ArrayList<Integer> nums;
}
