#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;


vector <int> bubbleSort(vector<int>& arr) {
    int n = arr.size();
    for (int i = 0; i < n - 1; i++) {
        for (int j = 0; j < n - i - 1; j++) {
            if (arr[j] > arr[j + 1]) {
                swap(arr[j], arr[j + 1]);
            }
        }
    }
    return arr;
}


int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;
    vector <int> a(n);
    for (int& i : a) {
        cin >> i;
    }
    a = bubbleSort(a);

    for (int i = 0; i < n; i++) {
        if ((i == 0 || a[i] != a[i - 1]) && (i == n - 1 || a[i] != a[i + 1])) {
            cout << a[i] << endl;
            return 0;
        }
    }
    cout << -1 << endl;
    return 0;
}
