#include "shared.h"
#include "testlib.h"
#include <bits/stdc++.h>
using namespace std;

using ll = long long;

string to_string(const vector<auto>& v)
{
    string result = "[";
    for (size_t i = 0; i < v.size(); ++i) {
        if (i != 0)
            result += ", ";
        result += to_string(v[i]);
    }
    result += "]";
    return result;
}

int main(int argc, char *argv[])
{
    registerTestlibCmd(argc, argv);
    vector<ll> a(3);
    for (int i = 0; i < 3; ++i)
        a[i] = inf.readLong();
    const ll OUTPUT_LIMIT = 2e18;
    ensure(-OUTPUT_LIMIT <= MIN_ANS && MAX_ANS <= OUTPUT_LIMIT);
    const auto value = ouf.readLong(-OUTPUT_LIMIT, OUTPUT_LIMIT, "value");
    const auto position = ouf.readInt(1, 4, "position") - 1;
    a.insert(a.begin() + position, value);
    string message = to_string(a);
    TResult verdict;
    if (arithmetic(a)) {
        message += " is arithmetic";
        verdict = _ok;
    } else {
        message += " is not arithmetic";
        verdict = _wa;
    }
    quit(verdict, message.c_str());
}
