#include "testlib.h"
#include <iostream>
#include <numeric>

using namespace std;


int main(int argc, char* argv[]) {
    registerGen(argc, argv, 1);
    int n = atoi(argv[1]);
    int lim_l = atoi(argv[2]);
    int lim_r = atoi(argv[3]);
    int ans = atoi(argv[4]);

    vector <int> nums = {ans};
    set <int> used;
    used.insert(ans);

    while (nums.size() < n) {
        int var = rnd.next(lim_l, lim_r);
        if (used.count(var)) {
            continue;
        }
        int cnt;
        if (var < ans) {
            cnt = rnd.next(2, min(3, n - (int) nums.size()));
        } else {
            cnt = rnd.next(1, min(3, n - (int) nums.size()));
        }

        if (nums.size() + cnt + 1 == n) {  // adding one more element is always possible
            continue;
        }

        used.insert(var);
        for (int _ = 0; _ < cnt; _++) {
            nums.push_back(var);
        }
    }
    shuffle(nums.begin(), nums.end());

    cout << n << endl;
    for (int i : nums) {
        cout << i << endl;
    }
}
