import java.util.ArrayList;
import java.util.Collections;
import java.util.Scanner;

public class D_Krizhanovsky_er_simA {
	public static void main(String[] args) {
		Krizhanovsky_simA kr = new Krizhanovsky_simA();
		kr.solve();
		kr.print();
	}

}

class Krizhanovsky_simA {
	
	Krizhanovsky_simA() {
		Scanner in = new Scanner(System.in);
		n = in.nextInt();
		nums = new ArrayList<>(n);
		for (int i = 0; i < n; i++) {
			nums.add(in.nextInt());
		}
		in.close();
	}
	
	void solve() {
		
		answer = Integer.MAX_VALUE;
		
		for (int i = 0; i < n; i++) {
			int test = nums.get(i);
			int cnt = 0;
			
			for (int j = 0; j < n; j++) {
				if (test == nums.get(j)) {
					cnt++;
				}
			}
			
			if ((cnt == 1) && (test < answer)) {
				answer = test;
			}
		}
		
		if (answer == Integer.MAX_VALUE) {
			answer = -1;
		}
	}
	
	void print() {
		System.out.println(answer);
	}
	
	int answer;
	
	int n;
	ArrayList<Integer> nums;
}
