import java.util.Scanner;

public class LongSubtraction_er {
	
	public static void main(String[] args) {
		LongSubtraction ls = new LongSubtraction();
		ls.prepare();
		ls.prepare2();
		ls.solve();
		ls.print();
	}
	

}

class LongSubtraction {
	
	LongSubtraction() {
		Scanner in = new Scanner(System.in);
		n = in.nextLong();
		in.close();
	}
	
	void prepare() {
		String s = String.valueOf(n);
		dlen = s.length();
		digits = new int[dlen];
		for (int i = 0; i < dlen; i++) {
			digits[i] = (int)(s.charAt(i)) - ZERO;
		}
	}
	
	void prepare2() {
		int ld = 19;
		
		divs = new long[ld];		
		divs[0] = 1;
		for (int i = 1; i < ld; i++) {
			divs[i] = divs[i-1]*10;
			
		}
		
		twis = new long[ld];
		twis[0] = 1;
		twis[1] = 2;
		for (int i = 2; i < ld; i++) {
			twis[i] = divs[i-1] + twis[i-1];
		}
		
	}
	
	int checkOdd() {
		int res = -1;
		for (int i = 0; i < dlen; i++) {
			if (digits[i] % 2 != 0) {
				res = i;
				break;
			}
		}
		return res;
	}
	
	void updateO(int start) {
		digits[start] = digits[start] - 1;
		for (int i = start + 1; i < dlen; i++) {
			digits[i] = EIGHT;
		}
	}
	
	void updateE() {
		for (int i = 0; i < dlen; i++) {
			digits[i] = digits[i] / 2;
		}
	}
	
	void solve() {
		long target = n;
		answer = 0;
		
		while (target > 0) {
			int r = checkOdd();						
			if (r != -1) {		
				long tail = target % divs[dlen - (r+1)]; 
				answer += tail;
				target = target - tail;
				
				answer += twis[dlen - (r+1)];
				target = target - twis[dlen - (r+1)];
				updateO(r);
			}
			else {
				answer++;
				target = target / 2;
				updateE();
			}
		}
		
	}
	
	void print() {
		System.out.println(answer);
	}
	
	int dlen;
	int[] digits;
	long n;
	long answer;
	
	long[] divs;
	long[] twis;
	
	static final int ZERO = (int)'0';
	static final int EIGHT = 8;
	
}
